<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KToolInvocation</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KToolInvocation Class Reference</h1>
<code>from PyKDE4.kdecore import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />


<h2>Detailed Description</h2>

<p>KToolInvocation: for starting other programs
</p>
<p>
<b>Desktop files for startServiceBy </b>
</p>
<p>
The way a service gets started depends on the 'X-DBUS-StartupType'
entry in the desktop file of the service:
</p>
<p>
There are three possibilities:
<li> X-DBUS-StartupType=None (default) </li>
Always start a new service,
don't wait till the service registers with dbus.
<li> X-DBUS-StartupType=Multi </li>
Always start a new service,
wait until the service has registered with dbus.
<li> X-DBUS-StartupType=Unique </li>
Only start the service if it isn't already running,
wait until the service has registered with dbus.
The .desktop file can specify the name that the application will use when registering
using X-DBUS-ServiceName=org.domain.mykapp. Otherwise org.kde.binaryname is assumed.
</p>
<p>
<b>Multi-threading </b>
</p>
<p>
The static members (apart from self()), have to be called from the QApplication main thread.
Calls to members are only allowed if there is a Q(Core)Application object created
If you call the members with signal/slot connections across threads, you can't use the return values
If a function is called from the wrong thread and it has a return value -1 is returned
Investigate if this is really needed or if DBUS is threadsafe anyway
</p>
<p>
For more details see &lt;a
href="http://techbase.kde.org/Development/Architecture/KDE4/Starting_Other_Programs#KToolInvocation.startServiceByDesktopPath"&gt;techbase</a>.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189086092">kapplication_hook</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> env, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id)</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188234028">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189086092">kapplication_hook</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> env, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189034060">invokeBrowser</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> url, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188235116">invokeHelp</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> anchor=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> appname=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188925100">invokeMailer</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> address, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> subject, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188233420">invokeMailer</a> (<a href="../kdecore/KUrl.html">KUrl</a> mailtoURL, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray(), bool allowAttachments=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189034156">invokeMailer</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> to, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> cc, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> bcc, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> subject, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> body, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> messageFile=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> attachURLs=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189049132">invokeTerminal</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> command, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> workdir=QString(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id="")</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188128524">invokeTerminal</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> command, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id="")</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (pid)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189074764">kdeinitExec</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> args=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (pid)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189075340">kdeinitExecWait</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> args=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">OrgKdeKLauncherInterface&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189049868">klauncher</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KToolInvocation.html">KToolInvocation</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188234828">self</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (pid)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189072876">startServiceByDesktopName</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> URL, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> serviceName=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray(), bool noWait=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (pid)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189074380">startServiceByDesktopName</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> URLs=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> serviceName=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray(), bool noWait=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (pid)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189061676">startServiceByDesktopPath</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> URL, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> serviceName=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray(), bool noWait=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (pid)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189059692">startServiceByDesktopPath</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> URLs=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> serviceName=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray(), bool noWait=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (pid)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189050028">startServiceByName</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> URL, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> serviceName=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray(), bool noWait=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int, int (pid)&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189050796">startServiceByName</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> _name, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> URLs=QStringList(), <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> error=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> serviceName=0, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a> startup_id=QByteArray(), bool noWait=0)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj188234028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj189034060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> invokeBrowser</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Invokes the user's preferred browser.
Note that you should only do this when you know for sure that the browser can
handle the URL (i.e. its mimetype). In doubt, if the URL can point to an image
or anything else than HTML, prefer to use new KRun( url ).
</p>
<p>
See also &lt;a
href="http://techbase.kde.org/Development/Architecture/KDE4/Starting_Other_Programs#KToolInvocation.invokeBrowser&gt;techbase</a>
for a discussion of invokeBrowser vs KRun.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> The destination address

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj188235116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> invokeHelp</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>anchor=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>appname=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Invokes the KHelpCenter HTML help viewer from docbook sources.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>anchor</em>&nbsp;</td><td> This has to be a defined anchor in your
docbook sources. If empty the main index
is loaded

<tr><td></td><td valign="top"><em>appname</em>&nbsp;</td><td> This allows you to show the help of another
application. If empty the current name() is
used

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj188925100"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> invokeMailer</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>address</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>subject</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Convenience method; invokes the standard email application.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>address</em>&nbsp;</td><td> The destination address

<tr><td></td><td valign="top"><em>subject</em>&nbsp;</td><td> Subject string. Can be QString().

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj188233420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> invokeMailer</td>
<td>(</td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>mailtoURL</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>allowAttachments=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Invokes the standard email application.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>mailtoURL</em>&nbsp;</td><td> A mailto URL.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default

<tr><td></td><td valign="top"><em>allowAttachments</em>&nbsp;</td><td> whether attachments specified in mailtoURL should be honoured.
The default is false; do not honor requests for attachments.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj189034156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> invokeMailer</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>to</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>cc</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>bcc</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>subject</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>body</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>messageFile=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>attachURLs=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Convenience method; invokes the standard email application.
</p>
<p>
All parameters are optional.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>to</em>&nbsp;</td><td> The destination address.

<tr><td></td><td valign="top"><em>cc</em>&nbsp;</td><td> The Cc field

<tr><td></td><td valign="top"><em>bcc</em>&nbsp;</td><td> The Bcc field

<tr><td></td><td valign="top"><em>subject</em>&nbsp;</td><td> Subject string

<tr><td></td><td valign="top"><em>body</em>&nbsp;</td><td> A string containing the body of the mail (exclusive with messageFile)

<tr><td></td><td valign="top"><em>messageFile</em>&nbsp;</td><td> A file (URL) containing the body of the mail (exclusive with body) - currently unsupported

<tr><td></td><td valign="top"><em>attachURLs</em>&nbsp;</td><td> List of URLs to be attached to the mail.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj189049132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> invokeTerminal</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>command</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>workdir=QString()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=""</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Invokes the standard terminal application.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>command</em>&nbsp;</td><td> the command to execute, can be empty.

<tr><td></td><td valign="top"><em>workdir</em>&nbsp;</td><td> the initial working directory, can be empty.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default
</td></tr>
</table></dl>
<p> <dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj188128524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> invokeTerminal</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>command</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=""</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj189086092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> kapplication_hook</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>env</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Hook for KApplication in kdeui
<dl class="internal" compact><dt><b>Internal:</b></dt><dd>
</dd></dl>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("kapplication_hook(QStringList&, QByteArray&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj189074764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (pid) kdeinitExec</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>args=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Starts a program via kdeinit.
</p>
<p>
program name and arguments are converted to according to the
local encoding and passed as is to kdeinit.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> Name of the program to start

<tr><td></td><td valign="top"><em>args</em>&nbsp;</td><td> Arguments to pass to the program

<tr><td></td><td valign="top"><em>error</em>&nbsp;</td><td> On failure, <b>error</b> contains a description of the error
that occurred. If the pointer is 0, the argument will be
ignored

<tr><td></td><td valign="top"><em>pid</em>&nbsp;</td><td> On success, the process id of the new service will be written
here. If the pointer is 0, the argument will be ignored.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> an error code indicating success (== 0) or failure (&gt; 0).
</dd></dl>
</p></div></div><a class="anchor" name="obj189075340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (pid) kdeinitExecWait</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>args=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Starts a program via kdeinit and wait for it to finish.
</p>
<p>
Like kdeinitExec(), but it waits till the program is finished.
As such it behaves similar to the system(...) function.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> Name of the program to start

<tr><td></td><td valign="top"><em>args</em>&nbsp;</td><td> Arguments to pass to the program

<tr><td></td><td valign="top"><em>error</em>&nbsp;</td><td> On failure, <b>error</b> contains a description of the error
that occurred. If the pointer is 0, the argument will be
ignored

<tr><td></td><td valign="top"><em>pid</em>&nbsp;</td><td> On success, the process id of the new service will be written
here. If the pointer is 0, the argument will be ignored.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> an error code indicating success (== 0) or failure (&gt; 0).
</dd></dl>
</p></div></div><a class="anchor" name="obj189049868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">OrgKdeKLauncherInterface klauncher</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the DBus interface of the service launcher.
The returned object is owned by KApplication, do not delete it!
</p></div></div><a class="anchor" name="obj188234828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KToolInvocation.html">KToolInvocation</a> self</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj189072876"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (pid) startServiceByDesktopName</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>URL</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>serviceName=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>noWait=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Starts a service based on the desktop name of the service.
E.g. "konqueror"
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_name</em>&nbsp;</td><td> the desktop name of the service

<tr><td></td><td valign="top"><em>URL</em>&nbsp;</td><td> if not empty this URL is passed to the service

<tr><td></td><td valign="top"><em>error</em>&nbsp;</td><td> On failure, <b>error</b> contains a description of the error
that occurred. If the pointer is 0, the argument will be
ignored

<tr><td></td><td valign="top"><em>serviceName</em>&nbsp;</td><td> On success, <b>serviceName</b> contains the D-Bus service name
under which this service is available. If empty, the service does
not provide D-Bus services. If the pointer is 0 the argument
will be ignored

<tr><td></td><td valign="top"><em>pid</em>&nbsp;</td><td> On success, the process id of the new service will be written
here. If the pointer is 0, the argument will be ignored.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default

<tr><td></td><td valign="top"><em>noWait</em>&nbsp;</td><td> if set, the function does not wait till the service is running.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> an error code indicating success (== 0) or failure (&gt; 0).
</dd></dl>
</p></div></div><a class="anchor" name="obj189074380"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (pid) startServiceByDesktopName</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>URLs=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>serviceName=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>noWait=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Starts a service based on the desktop name of the service.
E.g. "konqueror"
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_name</em>&nbsp;</td><td> the desktop name of the service

<tr><td></td><td valign="top"><em>URLs</em>&nbsp;</td><td> if not empty these URLs will be passed to the service

<tr><td></td><td valign="top"><em>error</em>&nbsp;</td><td> On failure, <b>error</b> contains a description of the error
that occurred. If the pointer is 0, the argument will be
ignored

<tr><td></td><td valign="top"><em>serviceName</em>&nbsp;</td><td> On success, <b>serviceName</b> contains the D-Bus service name
under which this service is available. If empty, the service does
not provide D-Bus services. If the pointer is 0 the argument
will be ignored

<tr><td></td><td valign="top"><em>pid</em>&nbsp;</td><td> On success, the process id of the new service will be written
here. If the pointer is 0, the argument will be ignored.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default

<tr><td></td><td valign="top"><em>noWait</em>&nbsp;</td><td> if set, the function does not wait till the service is running.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> an error code indicating success (== 0) or failure (&gt; 0).
</dd></dl>
</p></div></div><a class="anchor" name="obj189061676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (pid) startServiceByDesktopPath</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>URL</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>serviceName=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>noWait=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Starts a service based on the desktop path of the service.
E.g. "Applications/konqueror.desktop" or "/home/user/bla/myfile.desktop"
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_name</em>&nbsp;</td><td> the path of the desktop file

<tr><td></td><td valign="top"><em>URL</em>&nbsp;</td><td> if not empty this URL is passed to the service

<tr><td></td><td valign="top"><em>error</em>&nbsp;</td><td> On failure, <b>error</b> contains a description of the error
that occurred. If the pointer is 0, the argument will be
ignored

<tr><td></td><td valign="top"><em>serviceName</em>&nbsp;</td><td> On success, <b>serviceName</b> contains the DCOP name
under which this service is available. If empty, the service does
not provide DCOP services. If the pointer is 0 the argument
will be ignored

<tr><td></td><td valign="top"><em>pid</em>&nbsp;</td><td> On success, the process id of the new service will be written
here. If the pointer is 0, the argument will be ignored.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default

<tr><td></td><td valign="top"><em>noWait</em>&nbsp;</td><td> if set, the function does not wait till the service is running.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> an error code indicating success (== 0) or failure (&gt; 0).
</dd></dl>
</p></div></div><a class="anchor" name="obj189059692"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (pid) startServiceByDesktopPath</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>URLs=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>serviceName=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>noWait=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Starts a service based on the desktop path of the service.
E.g. "Applications/konqueror.desktop" or "/home/user/bla/myfile.desktop"
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_name</em>&nbsp;</td><td> the path of the desktop file

<tr><td></td><td valign="top"><em>URLs</em>&nbsp;</td><td> if not empty these URLs will be passed to the service

<tr><td></td><td valign="top"><em>error</em>&nbsp;</td><td> On failure, <b>error</b> contains a description of the error
that occurred. If the pointer is 0, the argument will be
ignored * 
<tr><td></td><td valign="top"><em>serviceName</em>&nbsp;</td><td> On success, <b>serviceName</b> contains the DCOP name
under which this service is available. If empty, the service does
not provide DCOP services. If the pointer is 0 the argument
will be ignored

<tr><td></td><td valign="top"><em>pid</em>&nbsp;</td><td> On success, the process id of the new service will be written
here. If the pointer is 0, the argument will be ignored.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default

<tr><td></td><td valign="top"><em>noWait</em>&nbsp;</td><td> if set, the function does not wait till the service is running.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> an error code indicating success (== 0) or failure (&gt; 0).
</dd></dl>
</p></div></div><a class="anchor" name="obj189050028"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (pid) startServiceByName</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>URL</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>serviceName=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>noWait=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Starts a service based on the (translated) name of the service.
E.g. "Web Browser"
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_name</em>&nbsp;</td><td> the name of the service

<tr><td></td><td valign="top"><em>URL</em>&nbsp;</td><td> if not empty this URL is passed to the service

<tr><td></td><td valign="top"><em>error</em>&nbsp;</td><td> On failure, error contains a description of the error
that occurred. If the pointer is 0, the argument will be
ignored

<tr><td></td><td valign="top"><em>serviceName</em>&nbsp;</td><td> On success, serviceName contains the DCOP name
under which this service is available. If empty, the service does
not provide DCOP services. If the pointer is 0 the argument
will be ignored

<tr><td></td><td valign="top"><em>pid</em>&nbsp;</td><td> On success, the process id of the new service will be written
here. If the pointer is 0, the argument will be ignored.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default

<tr><td></td><td valign="top"><em>noWait</em>&nbsp;</td><td> if set, the function does not wait till the service is running.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> an error code indicating success (== 0) or failure (&gt; 0).
</dd></dl>
</p></div></div><a class="anchor" name="obj189050796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int, int (pid) startServiceByName</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>_name</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>URLs=QStringList()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>error=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>serviceName=0</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qbytearray.html">QByteArray</a>&nbsp;</td>
<td class="paramname"><em>startup_id=QByteArray()</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>noWait=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Starts a service based on the (translated) name of the service.
E.g. "Web Browser"
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>_name</em>&nbsp;</td><td> the name of the service

<tr><td></td><td valign="top"><em>URLs</em>&nbsp;</td><td> if not empty these URLs will be passed to the service

<tr><td></td><td valign="top"><em>error</em>&nbsp;</td><td> On failure, <b>error</b> contains a description of the error
that occurred. If the pointer is 0, the argument will be
ignored

<tr><td></td><td valign="top"><em>serviceName</em>&nbsp;</td><td> On success, <b>serviceName</b> contains the DCOP name
under which this service is available. If empty, the service does
not provide DCOP services. If the pointer is 0 the argument
will be ignored

<tr><td></td><td valign="top"><em>pid</em>&nbsp;</td><td> On success, the process id of the new service will be written
here. If the pointer is 0, the argument will be ignored.

<tr><td></td><td valign="top"><em>startup_id</em>&nbsp;</td><td> for app startup notification, "0" for none,
"" ( empty string ) is the default

<tr><td></td><td valign="top"><em>noWait</em>&nbsp;</td><td> if set, the function does not wait till the service is running.
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> an error code indicating success (== 0) or failure (&gt; 0).
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
